package cz.senslog.connector.model.fieldclimate;

import java.util.List;
import java.util.Map;

import static cz.senslog.connector.tools.json.BasicJson.objectToJson;

public class StationData {

    private String id;

    private List<SensorDataInfo> sensors;

    private List<Map<String, String>> data;

    public List<SensorDataInfo> getSensors() {
        return sensors;
    }

    public void setSensors(List<SensorDataInfo> sensors) {
        this.sensors = sensors;
    }

    public List<Map<String, String>> getData() {
        return data;
    }

    public void setData(List<Map<String, String>> data) {
        this.data = data;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return objectToJson(this);
    }
}
